<template lang="html">
	<div class="container">
	<div class="navbar navbar-lg navbar-light bg-info">
	    <div class="navbar-brand">
	      <div class="text-white">
	        Trayectos DESTACAME
	     </div>
    </div>
    <div class="nav-links">
        <button class="btn btn-info text-light" v-on:click="gotrayecto">Trayectos</button>
        <button class="btn btn-info text-light" v-on:click="gopasajero">Pasajeros</button>
        <button class="btn btn-info text-light" v-on:click="gochofer">Choferes</button>
        <button class="btn btn-info text-light" v-on:click="gobus">Buses</button>
    </div>
  </div>
  <br>
  <div class="row">
			<div class="col-md-12 text-center">
				<h5>Trayectos Pendientes</h5>			
			</div>
			<br><br><br><br>
			<div class="col-md-12">
				<input type="text" class="form-control" placeholder="Para filtrar por numero de asientos vendidos, ingrese un numero" v-model.trim="sobrevendido">
			</div>
			<br><br>
			<div class="col-md-12">
				<table class="table">
					<thead>
						<th>ID TRAYECTO</th>
						<th>BUS</th>
						<th>CHOFER</th>
						<th>ORIGEN</th>
						<th>DESTINO</th>
						<th>ESTADO</th>
						<th>PENDIENTE</th>
					</thead>
					<tbody>
						<tr v-for="(item) in items" v-if="item.pasajeros.length > 0+sobrevendido" v-model.trim="total">
							<td>{{ item.id_trayecto }}</td>
							<td>{{ item.bus }}</td>
							<td>{{ item.chofer }}</td>
							<td>{{ item.origen }}</td>
							<td>{{ item.destino }}</td>
							<td>{{ item.estado }}</td>
							<td v-for="(each, i) in item.pasajeros">{{i + 1}} : {{each}}</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
		        items: [		        
		        ],
		        sobrevendido : '',
			}
		},
		methods: {
			getTrayecto(){
				const path = 'http://localhost:8000/trayecto/trayecto/'
				axios.get(path).then((response) => {
					this.items = response.data
				})
				.catch((error) => {console.log(error)})
			},	
			gotrayecto(e){
				e.preventDefault()
				location.href = '/trayecto'			
			},
			gochofer(e){
				e.preventDefault()
				location.href = '/chofer'			
			},
			gopasajero(e){
				e.preventDefault()
				location.href = '/pasajero'			
			},
			gobus(e){
				e.preventDefault()
				location.href = '/bus'			
			},
		},		
		created(){
			this.getTrayecto()
			this.gotrayecto()
			this.gochofer()
			this.gopasajero()
			this.gobus()
		}

	}
</script>

<style lang="css" scoped>
</style>